Bug 530296 (CVE-2009-3880) - CVE-2009-3880 OpenJDK UI logging information leakage(6664512)
Summary: CVE-2009-3880 OpenJDK UI logging information leakage(6664512)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3880
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=sun,public=20091103...
Depends On: 530367 530368 532004 532005 534067 534068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-22 08:35 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 22:56:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC

Comment 3 Mark J. Cox 2009-11-03 23:11:21 UTC
Available information: 
"Component and [Default]KeyboardFocusManager pass security sensitive objects to
loggers"

Interpretation after code inspection:
A vulnerability in the Java Runtime Environment with passing 
entire objects to the logging API exist. This may allow unintended 
leakage of sensible information to unprivileged code.

Comment 4 errata-xmlrpc 2009-11-09 15:04:50 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 6 errata-xmlrpc 2009-11-10 19:30:34 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 7 Fedora Update System 2009-11-13 08:46:06 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 8 Fedora Update System 2009-11-13 08:50:00 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 9 Fedora Update System 2009-11-13 16:35:09 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 10 Fedora Update System 2009-11-14 03:30:05 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-14 03:31:59 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-14 03:33:11 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2009-11-16 15:45:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 14 errata-xmlrpc 2009-12-11 13:44:07 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html


Note You need to log in before you can comment on or make changes to this bug.